# Class DBManagerSQLite

java.lang.Object
DBManagerSQLite

public class DBManagerSQLite extends Object
Hilfsklasse für die Kommunikation mit einer SQLite-Datenbank

Version:
  2.0 vom 02.02.2024
Author:
  Ylva Brandt

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBManagerSQLite()`
  Erzeugt ein DBManagerSQLite-Objekt für die Datenbank schule_erweitert.
  `DBManagerSQLite(String dbName)`
  Erzeugt ein DBManagerSQLite-Objekt für die angegebene Datenbank.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `datensatzAendern(String sql)`
  Führt die übergebene SQL-Update-Anweisung aus.
  `int`
  `datensatzEinfuegen(String sql)`
  Führt die übergebene SQL-Einfüge-Anweisung aus.
  `int`
  `datensatzLoeschen(String sql)`
  Führt die übergebene SQL-Lösch-Anweisung aus.
  `String[][]`
  `sqlAnfrageAusfuehren(String sqlAnfrage)`
  Führt die übergebene SQL-Anfrage aus.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DBManagerSQLite

    public DBManagerSQLite()
    Erzeugt ein DBManagerSQLite-Objekt für die Datenbank schule_erweitert. Es wird eine Verbindung zur Datenbank schule_erweitert hergestellt, so dass Methoden zum Ausführen der SQL-Anweisungen genutzt werden können.

  - ### DBManagerSQLite

    public DBManagerSQLite(String dbName)
    Erzeugt ein DBManagerSQLite-Objekt für die angegebene Datenbank. Es wird eine Verbindung zu der angegebenen Datenbank hergestellt, so dass Methoden zum Ausführen der SQL-Anweisungen genutzt werden können.
    Parameters:
      `dbName` - der Name der Datenbank

- ## Method Details

  - ### sqlAnfrageAusfuehren

    public String[][] sqlAnfrageAusfuehren(String sqlAnfrage)
    Führt die übergebene SQL-Anfrage aus. Die gefundenen Datensätze werden in einer zweidimensionalen Reihung vom Typ Zeichenkette zur Verfügung gestellt.
    Parameters:
      `sqlAnfrage` - Die SQL-Anfrage, die ausgeführt werden soll, als Zeichenkette.
    Returns:
      Das Ergebnis der SQL-Anfrage als zweidimensionale Reihung vom Typ Zeichenkette. Interpretiert man den ersten Index als Zeilen- und den zweiten als Spatennummer, enthält die erste Zeile der Reihung die Überschriften der Spalten. Danach folgt pro Datensatz eine Zeile mit den entsprechenden Werten. Diese werden unabhängig von den Datentypen der Datenbank als Zeichenkette gespeichert. Enthält eine Zelle in der Datenbank den Wert null, wird die Zeichenkette "null" in das entsprechende Feld der zweidimensionalen Reihung geschrieben. Schlägt der Versuch die SQL-Anfrage zu stellen fehl, enthält die zweidimensionale Reihung nur ein Feld mit dem Inhalt "Fehler".

  - ### datensatzEinfuegen

    public int datensatzEinfuegen(String sql)
    Führt die übergebene SQL-Einfüge-Anweisung aus.
    Parameters:
      `sql` - Die SQL-Anweisung, die ausgeführt werden soll, als Zeichenkette.
    Returns:
      Die Anzahl der betroffenen Datensätze. Der Rückgabewert ist 0, wenn die Anweisung keine Änderung in der Datenbank bewirkt hat. Der Rückgabewert -1 zeigt an, dass ein Fehler aufgetreten ist.

  - ### datensatzAendern

    public int datensatzAendern(String sql)
    Führt die übergebene SQL-Update-Anweisung aus.
    Parameters:
      `sql` - Die SQL-Anweisung, die ausgeführt werden soll, als Zeichenkette
    Returns:
      Die Anzahl der betroffenen Datensätze. Der Rückgabewert ist 0, wenn die Anweisung keine Änderung in der Datenbank bewirkt hat. Der Rückgabewert -1 zeigt an, dass ein Fehler aufgetreten ist.

  - ### datensatzLoeschen

    public int datensatzLoeschen(String sql)
    Führt die übergebene SQL-Lösch-Anweisung aus.
    Parameters:
      `sql` - Die SQL-Anweisung, die ausgeführt werden soll, als Zeichenkette
    Returns:
      Die Anzahl der betroffenen Datensätze. Der Rückgabewert ist 0, wenn die Anweisung keine Änderung in der Datenbank bewirkt hat. Der Rückgabewert -1 zeigt an, dass ein Fehler aufgetreten ist.